<?php
// [ 应用入口文件 ]
namespace think;
if(version_compare(PHP_VERSION,'7.4','<'))  die('require PHP >= 7.4 !');
$INSTALL_PATH = str_replace('\\','/',dirname($_SERVER['SCRIPT_NAME']));
if($INSTALL_PATH==="/"){
    $INSTALL_PATH="/";		
}else{
    $INSTALL_PATH= '/'. trim($INSTALL_PATH,'/').'/';
}
define('TEM_NAME',"html");
define('version',"3.8.11");
define('INSTALL_PATH',$INSTALL_PATH);//安装目录
define('TEMPLATE_PATH',$INSTALL_PATH.TEM_NAME."/");
define('ROOT_PATH', $_SERVER['DOCUMENT_ROOT'].$INSTALL_PATH);
define('TPL_PATH', $_SERVER['DOCUMENT_ROOT'].$INSTALL_PATH.TEM_NAME."\\");

if(!is_file('install/install.conf')){
	header('Location: '.$INSTALL_PATH.'install.php');
	exit;
}
// 加载框架基础引导文件
require __DIR__ . '/thinkphp/base.php';

// 支持事先使用静态方法设置Request对象和Config对象

// 执行应用并响应
Container::get('app')->run()->send();
